Properties (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.workflow

## Enum Properties

- java.lang.Object
- - java.lang.Enum<Properties>
  - - org.cloudbus.cloudsim.workflow.Properties

- All Implemented Interfaces:
    Serializable, Comparable<Properties>

      public enum Properties
      extends Enum<Properties>

  This class contains the parameters from the simulation that are customizable by users. They are defined in a file called simulation.properties that has to be in Java's classpath. For adding more properties, follow these steps: 1. Add the property as an enum. The string associated to it represents its key (the string use in the properties file); 2. Add the key and a desirable value in the properties file; 3. read it somewhere in the code (this is a string) as: Properties.NAME.getProperty(); 4. make the appropriated conversion to the desirable type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CORES_PERHOST`
    `DAG_DEADLINE`
    `DAG_FILE`
    `EXPERIMENT_ROUNDS`
    `HOSTS_PERDATACENTER`
    `INTERNAL_BANDWIDTH`
    `INTERNAL_LATENCY`
    `MEMORY_PERHOST`
    `MIPS_PERCORE`
    `MODEDVFS`
    `NETWORK_LATENCY`
    `OPTIMIZE`
    `POOLING`
    `SCHEDULING_POLICY`
    `STORAGE_PERHOST`
    `VM_DELAY`
    `VM_OFFERS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getKey()`
    `String` | `getProperty()`
    `void` | `setProperty(String value)`
    `static Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXPERIMENT_ROUNDS

          public static final Properties EXPERIMENT_ROUNDS

    - #### HOSTS_PERDATACENTER

          public static final Properties HOSTS_PERDATACENTER

    - #### VM_DELAY

          public static final Properties VM_DELAY

    - #### VM_OFFERS

          public static final Properties VM_OFFERS

    - #### CORES_PERHOST

          public static final Properties CORES_PERHOST

    - #### MEMORY_PERHOST

          public static final Properties MEMORY_PERHOST

    - #### STORAGE_PERHOST

          public static final Properties STORAGE_PERHOST

    - #### MIPS_PERCORE

          public static final Properties MIPS_PERCORE

    - #### NETWORK_LATENCY

          public static final Properties NETWORK_LATENCY

    - #### INTERNAL_LATENCY

          public static final Properties INTERNAL_LATENCY

    - #### INTERNAL_BANDWIDTH

          public static final Properties INTERNAL_BANDWIDTH

    - #### SCHEDULING_POLICY

          public static final Properties SCHEDULING_POLICY

    - #### DAG_FILE

          public static final Properties DAG_FILE

    - #### DAG_DEADLINE

          public static final Properties DAG_DEADLINE

    - #### OPTIMIZE

          public static final Properties OPTIMIZE

    - #### MODEDVFS

          public static final Properties MODEDVFS

    - #### POOLING

          public static final Properties POOLING

  - ### Method Detail

    - #### values

          public static Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Properties c : Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getKey

          public String getKey()

    - #### getProperty

          public String getProperty()

    - #### setProperty

          public void setProperty(String value)

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.